#include <string>
#include <stdio.h>
#include "cam.h"

using namespace std;

void main (int argc, char **argv) 
{
	// Make sure the user specified a camera file
	if (argc<2) {
		puts ("Usage: pc_cam camera.fin");
		exit(0);
	}

	// Load the specified camera file
	CAM_Finland cam(argv[1]);

	// Camera center
	cout << endl << "Camera center: " << cam.getCamCenter() << endl;

	// Camera FOV
	cout << "Camera FOV-X: " << cam.getFOVx() <<endl;
	cout << "Camera FOV-Y: " << cam.getFOVy() <<endl;
}