/*
 * MATLAB Compiler: 2.2
 * Date: Tue May 28 10:06:09 2002
 * Arguments: "-B" "macro_default" "-O" "all" "-O" "fold_scalar_mxarrays:on"
 * "-O" "fold_non_scalar_mxarrays:on" "-O" "optimize_integer_for_loops:on" "-O"
 * "array_indexing:on" "-O" "optimize_conditionals:on" "-m" "-W" "main" "-L"
 * "C" "-t" "-T" "link:exe" "-h" "libmmfile.mlib" "cacal" 
 */

#ifndef MLF_V2
#define MLF_V2 1
#endif

#include "libmatlb.h"
#include "cacal.h"
#include "configc.h"
#include "dlt.h"
#include "dlt2d.h"
#include "lmoptc.h"
#include "jacobc.h"
#include "frames.h"
#include "cmodel.h"
#include "libmmfile.h"

static mexFunctionTableEntry function_table[8]
  = { { "cacal", mlxCacal, 7, 6, &_local_function_table_cacal },
      { "configc", mlxConfigc, 1, 1, &_local_function_table_configc },
      { "dlt", mlxDlt, 2, 6, &_local_function_table_dlt },
      { "dlt2d", mlxDlt2d, 2, 6, &_local_function_table_dlt2d },
      { "lmoptc", mlxLmoptc, 6, 6, &_local_function_table_lmoptc },
      { "jacobc", mlxJacobc, 6, 2, &_local_function_table_jacobc },
      { "frames", mlxFrames, 6, 1, &_local_function_table_frames },
      { "cmodel", mlxCmodel, 4, 1, &_local_function_table_cmodel } };

static _mexInitTermTableEntry init_term_table[9]
  = { { libmmfileInitialize, libmmfileTerminate },
      { InitializeModule_cacal, TerminateModule_cacal },
      { InitializeModule_configc, TerminateModule_configc },
      { InitializeModule_dlt, TerminateModule_dlt },
      { InitializeModule_dlt2d, TerminateModule_dlt2d },
      { InitializeModule_lmoptc, TerminateModule_lmoptc },
      { InitializeModule_jacobc, TerminateModule_jacobc },
      { InitializeModule_frames, TerminateModule_frames },
      { InitializeModule_cmodel, TerminateModule_cmodel } };

static _mex_information _main_info
  = { 1, 8, function_table, 0, NULL, 0, NULL, 9, init_term_table };

/*
 * The function "main" is a Compiler-generated main wrapper, suitable for
 * building a stand-alone application.  It calls a library function to perform
 * initialization, call the main function, and perform library termination.
 */
int main(int argc, const char * * argv) {
    return mclMain(argc, argv, mlxCacal, 1, &_main_info);
}
