function saveascii(filename, data)
%SAVEASCII - saves a 2D matrix into an ascii file
%
%  function saveascii(filename, data)
%
%  save is not supported by the compiler so this is a replacement
%
%  jed 7/2002

fid=fopen(filename,'w');
if (fid== -1)
     disp(['Could not open file: ',filename]);
     return;
end

len=size(data,1);
for i=1:len
   fprintf(fid,'%f ',data(i,:));
   fprintf(fid,'\n');
end
fclose(fid);
