//
// MATLAB Compiler: 2.2
// Date: Tue May 28 11:08:59 2002
// Arguments: "-B" "macro_default" "-O" "all" "-O" "fold_scalar_mxarrays:on"
// "-O" "fold_non_scalar_mxarrays:on" "-O" "optimize_integer_for_loops:on" "-O"
// "array_indexing:on" "-O" "optimize_conditionals:on" "-v" "-p" "-W" "main"
// "-L" "Cpp" "-t" "-T" "link:exe" "-h" "libmmfile.mlib" "match2fin" "circal.m" 
//
#include "libmatlb.hpp"
#include "match2fin.hpp"
#include "circal.hpp"
#include "configc.hpp"
#include "invmodel.hpp"
#include "asymc.hpp"
#include "dlt.hpp"
#include "dlt2d.hpp"
#include "lmoptc.hpp"
#include "jacobc.hpp"
#include "frames.hpp"
#include "cmodel.hpp"
#include "libmmfile.hpp"

static mexFunctionTableEntry function_table[11]
  = { { "match2fin", mlxMatch2fin, -3, 1, &_local_function_table_match2fin },
      { "circal", mlxCircal, 12, 6, &_local_function_table_circal },
      { "configc", mlxConfigc, 1, 1, &_local_function_table_configc },
      { "invmodel", mlxInvmodel, 2, 1, &_local_function_table_invmodel },
      { "asymc", mlxAsymc, 6, 2, &_local_function_table_asymc },
      { "dlt", mlxDlt, 2, 6, &_local_function_table_dlt },
      { "dlt2d", mlxDlt2d, 2, 6, &_local_function_table_dlt2d },
      { "lmoptc", mlxLmoptc, 6, 6, &_local_function_table_lmoptc },
      { "jacobc", mlxJacobc, 6, 2, &_local_function_table_jacobc },
      { "frames", mlxFrames, 6, 1, &_local_function_table_frames },
      { "cmodel", mlxCmodel, 4, 1, &_local_function_table_cmodel } };

static _mexcppInitTermTableEntry init_term_table[12]
  = { { libmmfileInitialize, libmmfileTerminate },
      { InitializeModule_match2fin, TerminateModule_match2fin },
      { InitializeModule_circal, TerminateModule_circal },
      { InitializeModule_configc, TerminateModule_configc },
      { InitializeModule_invmodel, TerminateModule_invmodel },
      { InitializeModule_asymc, TerminateModule_asymc },
      { InitializeModule_dlt, TerminateModule_dlt },
      { InitializeModule_dlt2d, TerminateModule_dlt2d },
      { InitializeModule_lmoptc, TerminateModule_lmoptc },
      { InitializeModule_jacobc, TerminateModule_jacobc },
      { InitializeModule_frames, TerminateModule_frames },
      { InitializeModule_cmodel, TerminateModule_cmodel } };

static _mexcpp_information _main_info
  = { 1, 11, function_table, 0, NULL, 0, NULL, 12, init_term_table };

//
// The function "main" is a Compiler-generated main wrapper, suitable for
// building a stand-alone application.  It calls a library function to perform
// initialization, call the main function, and perform library termination.
//
int main(int argc, const char * * argv) {
    return mwMain(argc, argv, mlxMatch2fin, 1, &_main_info);
}
